<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.distributable-web.infinispan-single-sign-on-management" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="cache,cache-container"/>
        <elem name="addr-params" value="profile,subsystem,infinispan-single-sign-on-management"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.distributable-web"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.clustering.web.single-sign-on-management-provider.$infinispan-single-sign-on-management"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.clustering.infinispan.default-cache-configuration.$cache-container"/>
        <capability name="$profile.org.wildfly.clustering.infinispan.cache-configuration.$cache-container.$cache" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.distributable-web"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="cache-container" stability="default"/>
        <param name="subsystem" feature-id="true" default="distributable-web"/>
        <param name="infinispan-single-sign-on-management" feature-id="true"/>
        <param name="cache" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
    </params>
</feature-spec>